org.codehaus.plexus.metadata.gleaner

## Interface SourceComponentGleaner

All Known Implementing Classes:
  QDoxComponentGleaner

    public interface SourceComponentGleaner

Interface for component gleaners which glean off of source code.

Version:
  $Id: SourceComponentGleaner.java 8340 2009-08-17 09:34:27Z bentmann $

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`ComponentDescriptor<?>` `glean(com.thoughtworks.qdox.JavaDocBuilder classCache, com.thoughtworks.qdox.model.JavaClass javaClass)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### glean

    ComponentDescriptor<?> glean(com.thoughtworks.qdox.JavaDocBuilder classCache,
                               com.thoughtworks.qdox.model.JavaClass javaClass)
                                 throws ComponentGleanerException

Throws:
  `ComponentGleanerException`